//Exported using: HydroD V4.9-02 started 25-Jan-2017 15:13:44
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg,45 deg,90 deg));
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypeFrequency, Array(1 rad/s,2 rad/s,3 rad/s,4 rad/s,5 rad/s,20 rad/s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(300 m);
Location1.gravity = 9.80665 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(0 m);
HydroModel1.setFPXPos(0.0846 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-0.04998999834 m);
HydroModel1.addReportZWaterline(0.4500100017 m);
HydroModel1.setKidTag("1a41688a-1f0f-42b9-a01c-adf0c8da1366");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsGDFFile, "../../../../Assemblies_better/til Rhino/til WAMIT/Tail_rotated.GDF", false, false);
PanelModel1.setKidTag("df9aff39-dfa3-4369-82bf-a90edc7b635b");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 100 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("2fa01bce-6d1d-4aa1-b946-1d0abe3e67fc");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, MassModelSpecified);
MassModel1.setUserMassCoordinateSystem(COGCenteredCoordinateSystem);
MassModel1.setTotalMass(0.2555848201 Kg);
MassModel1.setCOG(Point(0.02319592286 m,-3.548593272e-006 m,-0.09855518989 m));
MassModel1.setRadiusGyration(Vector3d(0.02799657853 m,0.02702971503 m,0.02510536427 m));
MassModel1.setSpecificProductInertia(-2.303915034e-005 m, 0.001569809513 m, 0.0001091330098 m);
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setKidTag("6ecf3a2b-2eb1-4912-b34b-7c9211f07669");
// ***********************************************************
WadamOffbodyPoints1 = WadamOffbodyPoints(LoadingCondition1, OffbodyPointsFromGrid);
WadamOffbodyPoints1.setMinPoint(-20 m, -20 m);
WadamOffbodyPoints1.setMaxPoint(20 m, 20 m);
WadamOffbodyPoints1.setNoSteps(30, 30);
WadamOffbodyPoints1.regenerateGeometry();
WadamOffbodyPoints1.setKidTag("9467f074-8ac0-4bde-8028-d00051eb4cb2");
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(false);
WadamRun1.setHydroModel(HydroModel1);
WadamRun1.setLoadingCondition(LoadingCondition1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.wadamLite(false);
WadamRun1.setAnalysisType(WadamRunGlobalResponse);
WadamRun1.calculateDrift(false);
WadamRun1.driftByFarFieldIntegration(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(50000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.setIncludeForwardSpeedEffect(false);
WadamRun1.setForwardSpeedX(0 m/s);
WadamRun1.setForwardSpeedY(0 m/s);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(0.0846 m);
WadamRun1.calculateRollDamping(false);
WadamRun1.specifyOutputDirectory(false, false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.moveResultFiles(false);
WadamRun1.useRunNameAsPrefix(false);
WadamRun1.setKidTag("0f62f751-2f50-451b-b999-c723b576c538");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.rollDamping = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = false;
WadamWizard1.pressurePanels = false;
WadamWizard1.offbodyPoints = true;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(WadamOffbodyPoints1);
WadamWizard1.addEditObject(WadamRun1);
WadamWizard1.setKidTag("f665a94a-c7c6-4c63-9762-d8ab4f3b6e80");
