clear all
close all
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

load('Result_drag_0deg.mat')
load('Result_drag_angle.mat')

%% velocity from LDV
V_ang_H1LT = [0.1 0.2 0.3 0.4];
V_ang_H2LT = [0.1 0.2 0.3 0.4];

%% ANGLE Plot Angle/force Fx - H1/2LT

for i = 1:2
    f= f+1;
    figure(f)
    hold on
    grid on
    for j = 1:4
        plot(Result_drag_angle{1,j+(i-1)*4}(:,1),Result_drag_angle{1,j+(i-1)*4}(:,2))
    end
    %title(['Result from angled experiments - H' num2str(i) 'LT'])
    legend('$v=0.1m/s$','$v=0.2m/s$','$v=0.3m/s$','$v=0.4m/s$','location','best')
    xlabel('Angle $\theta$ [$^\circ$]')
    ylabel('Force X [N]')
    print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H' num2str(i) 'LT_angled_fx.eps']);
end

%% ANGLE Plot Angle/force Fy - H1/2LT
for i =1:2
    f= f+1;
    figure(f)
    hold on
    grid on
    for j = 1:4
        plot(Result_drag_angle{1,j+(i-1)*4}(:,1),Result_drag_angle{1,j+(i-1)*4}(:,3))
    end
    %title(['Result from angled experiments - H' num2str(i) 'LT'])
    legend('$v=0.1m/s$','$v=0.2m/s$','$v=0.3m/s$','$v=0.4m/s$','location','best')
    xlabel('Angle $\theta$ [$^\circ$]')
    ylabel('Force Y [N]')
    print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H' num2str(i) 'LT_angled_fy.eps']);
end

%% 0deg Plot Vx/Fx H1/2LT
f = f+1;
figure(f)
hold on
grid on
plot(Result_drag_0deg{1,1}(:,8),Result_drag_0deg{1,1}(:,1))
plot(Result_drag_0deg{1,2}(:,8),Result_drag_0deg{1,2}(:,1))
legend('H1LT','H2LT')
xlabel('Velocity [m/s]')
ylabel('Force X [N]')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\H' num2str(i) 'LT_0deg.eps']);
