clear all
close all
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

load('Result_drag_0deg.mat')
load('Result_drag_angle.mat')
load('HYDRO_P_EXP_ang.mat');
load('HYDRO_P_EXP.mat');

HYDRO_P_EXP_ang = HYDRO_P_EXP;

Cf_1 = HYDRO_P_EXP_ang{1,1};
Cd_1 = HYDRO_P_EXP_ang{2,1};
Cf_2 = HYDRO_P_EXP_ang{1,2};
Cd_2 = HYDRO_P_EXP_ang{2,2};
Cf_3 = HYDRO_P_EXP_ang{1,3};
Cd_3 = HYDRO_P_EXP_ang{2,3};
Cf_4 = HYDRO_P_EXP_ang{1,4};
Cd_4 = HYDRO_P_EXP_ang{2,4};
Cf_5 = HYDRO_P_EXP_ang{1,5};
Cd_5 = HYDRO_P_EXP_ang{2,5};
Cf_6 = HYDRO_P_EXP_ang{1,6};
Cd_6 = HYDRO_P_EXP_ang{2,6};

%% Add the force functions
addpath('..\..\..\..\HydroForceFunc');
load('PARAM')
no_angles = 31;
no_v_ang = 4;
no_angles_config = 2;
no_0deg_config = 2;
no_v_0deg = 10;
% sysid const
pr_sysidcomp = 1; %for printing sysid



%% Load dat
V_ang_run1 = [0.1046 0.2101 0.3113 0.4121 0.1042 0.2086 0.3075 0.4159];
V_ang_run2 = [0.1042 0.2086 0.3075 0.4159 0.1053 0.2097 0.3084 0.4128];
V_ang = mean([V_ang_run1;V_ang_run2]);
%% Create data sets
Vx = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Vy = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Vy_angle = zeros(no_angles*no_v_ang*no_angles_config,1);
Fx = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Fy = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Fy_angle = zeros(no_angles*no_v_ang*no_angles_config,1);

%%
Vx(1:10) = Result_drag_0deg{1,1}(:,8);
Fx(1:10) = Result_drag_0deg{1,1}(:,1);
Vy(1:10) = 0;
Fy(1:10) = 0;
for i = 1:4
    Vx(11+31*(i-1):41+31*(i-1)) = V_ang(i)*cosd(Result_drag_angle{1,i}(:,1));
    Fx(11+31*(i-1):41+31*(i-1)) = Result_drag_angle{1,i}(:,2);
    Vy(11+31*(i-1):41+31*(i-1)) = V_ang(i)*-sind(Result_drag_angle{1,i}(:,1));
    Fy(11+31*(i-1):41+31*(i-1)) = Result_drag_angle{1,i}(:,3);
end
%%
Vx(135:144) =  Result_drag_0deg{1,2}(:,8);
Fx(135:144) =  Result_drag_0deg{1,2}(:,1);
Vy(135:144) = 0;
Fy(135:144) = 0;
%%
for i = 1:4
    Vx(145+31*(i-1):175+31*(i-1)) = V_ang(i+4)*cosd(Result_drag_angle{1,i+4}(:,1));
    Fx(145+31*(i-1):175+31*(i-1)) = Result_drag_angle{1,i+4}(:,2);
    Vy(145+31*(i-1):175+31*(i-1)) = V_ang(i+4)*-sind(Result_drag_angle{1,i+4}(:,1));
    Fy(145+31*(i-1):175+31*(i-1)) = Result_drag_angle{1,i+4}(:,3);
end
Vy_angle = [Vy(11:134); Vy(145:268)];
Fy_angle = [Fy(11:134); Fy(145:268)];

%%
FX_1 = @(Vx,Cf,N) Fx_l1(Vx,Cf,N)+Fx_l2(Vx,Cf,N);
FX_2 = @(Vx,Cf_l1,Cf_l2,N) Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_3 = @(Vx,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_4 = @(Vx,Vy,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,Cf_y1,Cf_y2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y1(Vy,Cf_y1)+Fx_y2(Vy,Cf_y2);
FX_5 = @(Vx,Vy,Cf_ht2,Cf_l1,Cf_l2,Cf_y2,N) Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y2(Vy,Cf_l2);
FX_6 = @(Vx,Cd_x) Fx_cyl(Vx,Cd_x);

%%
FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);

%%
Teox_1 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Teox_2 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_3 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_4 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_5 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_6 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
%% X teo force
for i = 1:no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg
    j = 1 + floor(i/(no_angles*no_v_ang+no_v_0deg+1)); %j = number of middle links
	Teox_1(i,1) = FX_1(Vx(i),Cf_1(1),j);
    Teox_2(i,1) = FX_2(Vx(i),Cf_2(1,1),Cf_2(1,2),j);
    Teox_2(i,2) = FX_2(Vx(i),Cf_2(2,1),Cf_2(2,2),j);
    Teox_3(i,1) = FX_3(Vx(i),Cf_3(1,1),Cf_3(1,2),Cf_3(1,3),Cf_3(1,4),j);
    Teox_3(i,2) = FX_3(Vx(i),Cf_3(2,1),Cf_3(2,2),Cf_3(2,3),Cf_3(2,4),j);
    Teox_4(i,1) = FX_4(Vx(i),Vy(i),Cf_4(1,1),Cf_4(1,2),Cf_4(1,3),Cf_4(1,4),Cf_4(1,5),Cf_4(1,6),j);
    Teox_4(i,2) = FX_4(Vx(i),Vy(i),Cf_4(2,1),Cf_4(2,2),Cf_4(2,3),Cf_4(2,4),Cf_4(2,5),Cf_4(2,6),j);
    Teox_5(i,1) = FX_5(Vx(i),Vy(i),Cf_5(1,1),Cf_5(1,2),Cf_5(1,3),Cf_5(1,4),j);
    Teox_5(i,2) = FX_5(Vx(i),Vy(i),Cf_5(2,1),Cf_5(2,2),Cf_5(2,3),Cf_5(2,4),j);
    Teox_6(i,1) = FX_6(Vx(i),Cf_6(1,1));
end
%%
Teoy_1 = zeros(no_angles*no_v_ang*no_angles_config,1);
Teoy_2 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_3 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_4 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_5 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_6 = zeros(no_angles*no_v_ang*no_angles_config,1);
%%
for i = 1:no_angles*no_v_ang*no_angles_config
    j =1 + floor(i/(no_angles*no_v_ang+1)); %j = number of middle links
	Teoy_1(i) = FY_1(Vy_angle(i),Cd_1(1),j);
    Teoy_2(i,1) = FY_2(Vy_angle(i),Cd_2(1,1),Cd_2(1,2),j);
    Teoy_2(i,2) = FY_2(Vy_angle(i),Cd_2(2,1),Cd_2(2,2),j);
    Teoy_3(i,1) = FY_3(Vy_angle(i),Cd_3(1,1),Cd_3(1,2),Cd_3(1,3),Cd_3(1,4),j);
    Teoy_3(i,2) = FY_3(Vy_angle(i),Cd_3(2,1),Cd_3(2,2),Cd_3(2,3),Cd_3(2,4),j);
    Teoy_4(i,1) = FY_4(Vy_angle(i),Cd_4(1,1),Cd_4(1,2),Cd_4(1,3),Cd_4(1,4),j);
    Teoy_4(i,2) = FY_4(Vy_angle(i),Cd_4(2,1),Cd_4(2,2),Cd_4(2,3),Cd_4(2,4),j);
    Teoy_5(i,1) = FY_5(Vy_angle(i),Cd_5(1,1),Cd_5(1,2),Cd_5(1,3),j);
    Teoy_5(i,2) = FY_5(Vy_angle(i),Cd_5(2,1),Cd_5(2,2),Cd_5(2,3),j);
    Teoy_6(i,1) = FY_6(Vy_angle(i),Cd_6(1,1),j);
    Teoy_6(i,2) = FY_6(Vy_angle(i),Cd_6(2,1),j);
end
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');

%% H1LT vel/force x  theta 0
start = 1;
stop = 10;
f = f+1;
figure(f)
hold on
grid on
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
plot(Vx(start:stop),(Fx(1:10)),'linewidth',2)
plot(Vx(start:stop),Teox_1(start:stop,1))
plot(Vx(start:stop),Teox_2(start:stop,1))
plot(Vx(start:stop),Teox_3(start:stop,1))
plot(Vx(start:stop),Teox_4(start:stop,1))
plot(Vx(start:stop),Teox_5(start:stop,1))
plot(Vx(start:stop),Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_0deg.eps'])

%% H2LT vel/force x  theta 0
start = 135;
stop = 144;
f = f+1;
figure(f)
hold on
grid on
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
plot(Vx(start:stop),(Fx(start:stop)),'linewidth',2)
plot(Vx(start:stop),Teox_1(start:stop,1))
plot(Vx(start:stop),Teox_2(start:stop,1))
plot(Vx(start:stop),Teox_3(start:stop,1))
plot(Vx(start:stop),Teox_4(start:stop,1))
plot(Vx(start:stop),Teox_5(start:stop,1))
plot(Vx(start:stop),Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_0deg.eps'])
%% H1LT ang/force x  v01
ANG = 0:3:90;
start = 11;
stop = 41;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fx_v01.eps'])
%% H1LT ang/force x  v02
start = 42;
stop = 72;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fx_v02.eps'])
%% H1LT ang/force x  v03
start = 73;
stop = 103;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fx_v03.eps'])
%% H1LT ang/force x  v04
start = 104;
stop = 134;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fx_v04.eps'])
%% H1LT ang/force y  v01
start = 1;
stop = 31;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fy_v01.eps'])
%% H1LT ang/force y  v02
start = 32;
stop = 62;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fy_v02.eps'])
%% H1LT ang/force y  v03
start = 63;
stop = 93;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fy_v03.eps'])
%% H1LT ang/force y  v04
start = 94;
stop = 124;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H1LT_deg_fy_v04.eps'])
%% H2LT ang/force x  v01
start = 145;
stop = 175;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fx_v01.eps'])
%% H2LT ang/force x  v02
start = 176;
stop = 206;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fx_v02.eps'])
%% H2LT ang/force x  v03
start = 207;
stop = 237;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fx_v03.eps'])
%% H2LT ang/force x  v04
start = 238;
stop = 268;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
plot(ANG,(Fx(start:stop)),'linewidth',2)
plot(ANG,Teox_1(start:stop,1))
plot(ANG,Teox_2(start:stop,1))
plot(ANG,Teox_3(start:stop,1))
plot(ANG,Teox_4(start:stop,1))
plot(ANG,Teox_5(start:stop,1))
plot(ANG,Teox_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
axis([0 90 -0.4 0.6])
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fx_v04.eps'])
%% H2LT ang/force y  v01
start = 125;
stop = 155;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fy_v01.eps'])
%% H2LT ang/force y  v02
start = 156;
stop = 186;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fy_v02.eps'])
%% H2LT ang/force y  v03
start = 187;
stop = 217;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fy_v03.eps'])
%% H2LT ang/force y  v04
start = 218;
stop = 248;
f = f+1;
figure(f)
hold on
grid on
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
plot(ANG,(Fy_angle(start:stop)),'linewidth',2)
plot(ANG,Teoy_1(start:stop,1))
plot(ANG,Teoy_2(start:stop,1))
plot(ANG,Teoy_3(start:stop,1))
plot(ANG,Teoy_4(start:stop,1))
plot(ANG,Teoy_5(start:stop,1))
plot(ANG,Teoy_6(start:stop,1))
legend('$f_{m}$','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
axis([0 90 0 7])
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\90\H2LT_deg_fy_v04.eps'])

close all



