clear all
close all
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
f = 0;

load('Result_drag_0deg.mat')
load('Result_drag_angle.mat')

%% Add the force functions
addpath('..\..\..\..\HydroForceFunc');
load('PARAM')
max_deg = 39;
no_angles = max_deg/3 + 1;
no_v_ang = 4;
no_angles_config = 2;
no_0deg_config = 2;
no_v_0deg = 10;
% sysid const
N_X_1 = 1;
N_X_2 = 2;
N_X_3 = 4;
N_X_4 = 6;
N_X_5 = 4;
N_X_6 = 1;
N_Y_1 = 1;
N_Y_2 = 2;
N_Y_3 = 4;
N_Y_4 = 4;
N_Y_5 = 3;
N_Y_6 = 1;
pr_sysidcomp = 1; %for printing sysid



%% Load dat
V_ang_run1 = [0.1046 0.2101 0.3113 0.4121 0.1042 0.2086 0.3075 0.4159];
V_ang_run2 = [0.1042 0.2086 0.3075 0.4159 0.1053 0.2097 0.3084 0.4128];
V_ang = mean([V_ang_run1;V_ang_run2]);
%% Create data sets
Vx = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Vy = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Vy_angle = zeros(no_angles*no_v_ang*no_angles_config,1);
Fx = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Fy = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Fy_angle = zeros(no_angles*no_v_ang*no_angles_config,1);

%%
Vx(1:10) = Result_drag_0deg{1,1}(:,8);
Fx(1:10) = Result_drag_0deg{1,1}(:,1);
Vy(1:10) = 0;
Fy(1:10) = 0;
for i = 1:4
    Vx(11+no_angles*(i-1):10+no_angles*i) = V_ang(i)*cosd(Result_drag_angle{1,i}(1:no_angles,1));
    Fx(11+no_angles*(i-1):10+no_angles*i) = Result_drag_angle{1,i}(1:no_angles,2);
    Vy(11+no_angles*(i-1):10+no_angles*i) = V_ang(i)*-sind(Result_drag_angle{1,i}(1:no_angles,1));
    Fy(11+no_angles*(i-1):10+no_angles*i) = Result_drag_angle{1,i}(1:no_angles,3);
end
%%
Vx(11+no_angles*4:20+no_angles*4) =  Result_drag_0deg{1,2}(:,8);
Fx(11+no_angles*4:20+no_angles*4) =  Result_drag_0deg{1,2}(:,1);
Vy(11+no_angles*4:20+no_angles*4) = 0;
Fy(11+no_angles*4:20+no_angles*4) = 0;
%%
for i = 1:4
    Vx(no_angles*3+21+no_angles*i:no_angles*4+20+no_angles*i) = V_ang(i+4)*cosd(Result_drag_angle{1,i+4}(1:no_angles,1));
    Fx(no_angles*3+21+no_angles*i:no_angles*4+20+no_angles*i) = Result_drag_angle{1,i+4}(1:no_angles,2);
    Vy(no_angles*3+21+no_angles*i:no_angles*4+20+no_angles*i) = V_ang(i+4)*-sind(Result_drag_angle{1,i+4}(1:no_angles,1));
    Fy(no_angles*3+21+no_angles*i:no_angles*4+20+no_angles*i) = Result_drag_angle{1,i+4}(1:no_angles,3);
end
%%
Vy_angle = [Vy(11:10+no_angles*4); Vy(21+no_angles*4:20+no_angles*8)];
Fy_angle = [Fy(11:10+no_angles*4); Fy(21+no_angles*4:20+no_angles*8)];

%%
FX_1 = @(Vx,Cf,N) Fx_l1(Vx,Cf,N)+Fx_l2(Vx,Cf,N);
FX_2 = @(Vx,Cf_l1,Cf_l2,N) Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_3 = @(Vx,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_4 = @(Vx,Vy,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,Cf_y1,Cf_y2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y1(Vy,Cf_y1)+Fx_y2(Vy,Cf_y2);
FX_5 = @(Vx,Vy,Cf_ht2,Cf_l1,Cf_l2,Cf_y2,N) Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y2(Vy,Cf_l2);
FX_6 = @(Vx,Cd_x) Fx_cyl(Vx,Cd_x);
%%
X_1 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_1);
X_2 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_2);
X_3 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_3);
X_4 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_4);
X_5 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_5);
X_6 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,N_X_6);
%%

for i = 1:no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg
    j = 1 + floor(i/(no_angles*no_v_ang+no_v_0deg+1)); %j = number of middle links
    %F1
    X_1(i,1) = FX_1(Vx(i),1,j);
    %F2
    X_2(i,1) = Fx_l1(Vx(i),1,j);
    X_2(i,2) = Fx_l2(Vx(i),1,j);
    %F3
    X_3(i,1) = Fx_ht1(Vx(i),1);
    X_3(i,2) = Fx_ht2(Vx(i),1);
    X_3(i,3) = X_2(i,1);
    X_3(i,4) = X_2(i,2);
    %F4
    X_4(i,1) = X_3(i,1);
    X_4(i,2) = X_3(i,2);
    X_4(i,3) = X_2(i,1);
    X_4(i,4) = X_2(i,2);
    X_4(i,5) = Fx_y1(Vy(i),1);
    X_4(i,6) = Fx_y2(Vy(i),1);
    %F5
    X_5(i,1) = X_3(i,2);
    X_5(i,2) = X_2(i,1);
    X_5(i,3) = X_2(i,2);
    X_5(i,4) = X_4(i,6);
    %F6
    X_6(i,1) = Fx_cyl(Vx(i),1);
end

%%
%Cf = inv(X_same'*X_same)*X_same'*Fx;
Cf_1(1,:) = lsqnonneg(X_1,Fx)';
Cf_1(2,:) = lsqlin(X_1,Fx,[],[])';
Cf_2(1,:) = lsqnonneg(X_2,Fx)';
Cf_2(2,:) = lsqlin(X_2,Fx,[],[])';
Cf_3(1,:) = lsqnonneg(X_3,Fx)';
Cf_3(2,:) = lsqlin(X_3,Fx,[],[])';
Cf_4(1,:) = lsqnonneg(X_4,Fx)';
Cf_4(2,:) = lsqlin(X_4,Fx,[],[])';
Cf_5(1,:) = lsqnonneg(X_5,Fx)';
Cf_5(2,:) = lsqlin(X_5,Fx,[],[])';
Cf_6(1,:) = lsqnonneg(X_6,Fx)';
Cf_6(2,:) = lsqlin(X_6,Fx,[],[])';
%%
FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);
%%
Y_1 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_1);
Y_2 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_2);
Y_3 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_3);
Y_4 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_4);
Y_5 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_5);
Y_6 = zeros(no_angles*no_v_ang*no_angles_config,N_Y_6);
%%

for i = 1:no_angles*no_v_ang*no_angles_config
    j = 1 + floor(i/(no_angles*no_v_ang+1)); %j = number of middle links
    %F1
    Y_1(i,1) = FY_1(Vy_angle(i),1,j);
    %F2
    Y_2(i,1) = Fy_l1(Vy_angle(i),1,j);
    Y_2(i,2) = Fy_l2(Vy_angle(i),1,j);
    %F3
    Y_3(i,1) = Fy_ht1(Vy_angle(i),1);
    Y_3(i,2) = Fy_ht2(Vy_angle(i),1);
    Y_3(i,3) = Y_2(i,1);
    Y_3(i,4) = Y_2(i,2);
    %F4
    Y_4(i,1) = Y_3(i,1);
    Y_4(i,2) = Y_3(i,2);
    Y_4(i,3) = Y_3(i,3);
    Y_4(i,4) = Y_3(i,4);
    %F5
    Y_5(i,1) = Y_3(i,2);
    Y_5(i,2) = Y_2(i,1);
    Y_5(i,3) = Y_2(i,2);
    %F6
    Y_6(i,1) = Fy_cyl(Vy_angle(i),1,j);
end

%%
%Cd = inv(Y_same'*Y_same)*Y_same'*Fy;
Cd_1(1,:) = lsqnonneg(Y_1,Fy_angle)';
Cd_1(2,:) = lsqlin(Y_1,Fy_angle,[],[])';
Cd_2(1,:) = lsqnonneg(Y_2,Fy_angle)';
Cd_2(2,:) = lsqlin(Y_2,Fy_angle,[],[])';
Cd_3(1,:) = lsqnonneg(Y_3,Fy_angle)';
Cd_3(2,:) = lsqlin(Y_3,Fy_angle,[],[])';
Cd_4(1,:) = lsqnonneg(Y_4,Fy_angle)';
Cd_4(2,:) = lsqlin(Y_4,Fy_angle,[],[])';
Cd_5(1,:) = lsqnonneg(Y_5,Fy_angle)';
Cd_5(2,:) = lsqlin(Y_5,Fy_angle,[],[])';
Cd_6(1,:) = lsqnonneg(Y_6,Fy_angle)';
Cd_6(2,:) = lsqlin(Y_6,Fy_angle,[],[])';
%


%%
Teox_1 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
Teox_2 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_3 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_4 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_5 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,2);
Teox_6 = zeros(no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg,1);
%% X teo force
for i = 1:no_angles*no_v_ang*no_angles_config+no_0deg_config*no_v_0deg
    j = 1 + floor(i/(no_angles*no_v_ang+no_v_0deg+1)); %j = number of middle links
	Teox_1(i,1) = FX_1(Vx(i),Cf_1(1),j);
    Teox_2(i,1) = FX_2(Vx(i),Cf_2(1,1),Cf_2(1,2),j);
    Teox_2(i,2) = FX_2(Vx(i),Cf_2(2,1),Cf_2(2,2),j);
    Teox_3(i,1) = FX_3(Vx(i),Cf_3(1,1),Cf_3(1,2),Cf_3(1,3),Cf_3(1,4),j);
    Teox_3(i,2) = FX_3(Vx(i),Cf_3(2,1),Cf_3(2,2),Cf_3(2,3),Cf_3(2,4),j);
    Teox_4(i,1) = FX_4(Vx(i),Vy(i),Cf_4(1,1),Cf_4(1,2),Cf_4(1,3),Cf_4(1,4),Cf_4(1,5),Cf_4(1,6),j);
    Teox_4(i,2) = FX_4(Vx(i),Vy(i),Cf_4(2,1),Cf_4(2,2),Cf_4(2,3),Cf_4(2,4),Cf_4(2,5),Cf_4(2,6),j);
    Teox_5(i,1) = FX_5(Vx(i),Vy(i),Cf_5(1,1),Cf_5(1,2),Cf_5(1,3),Cf_5(1,4),j);
    Teox_5(i,2) = FX_5(Vx(i),Vy(i),Cf_5(2,1),Cf_5(2,2),Cf_5(2,3),Cf_5(2,4),j);
    Teox_6(i,1) = FX_6(Vx(i),Cf_6(1,1));
end
%%
Teoy_1 = zeros(no_angles*no_v_ang*no_angles_config,1);
Teoy_2 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_3 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_4 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_5 = zeros(no_angles*no_v_ang*no_angles_config,2);
Teoy_6 = zeros(no_angles*no_v_ang*no_angles_config,1);
%%
for i = 1:no_angles*no_v_ang*no_angles_config
    j =1 + floor(i/(no_angles*no_v_ang+1)); %j = number of middle links
	Teoy_1(i) = FY_1(Vy_angle(i),Cd_1(1),j);
    Teoy_2(i,1) = FY_2(Vy_angle(i),Cd_2(1,1),Cd_2(1,2),j);
    Teoy_2(i,2) = FY_2(Vy_angle(i),Cd_2(2,1),Cd_2(2,2),j);
    Teoy_3(i,1) = FY_3(Vy_angle(i),Cd_3(1,1),Cd_3(1,2),Cd_3(1,3),Cd_3(1,4),j);
    Teoy_3(i,2) = FY_3(Vy_angle(i),Cd_3(2,1),Cd_3(2,2),Cd_3(2,3),Cd_3(2,4),j);
    Teoy_4(i,1) = FY_4(Vy_angle(i),Cd_4(1,1),Cd_4(1,2),Cd_4(1,3),Cd_4(1,4),j);
    Teoy_4(i,2) = FY_4(Vy_angle(i),Cd_4(2,1),Cd_4(2,2),Cd_4(2,3),Cd_4(2,4),j);
    Teoy_5(i,1) = FY_5(Vy_angle(i),Cd_5(1,1),Cd_5(1,2),Cd_5(1,3),j);
    Teoy_5(i,2) = FY_5(Vy_angle(i),Cd_5(2,1),Cd_5(2,2),Cd_5(2,3),j);
    Teoy_6(i,1) = FY_6(Vy_angle(i),Cd_6(1,1),j);
    Teoy_6(i,2) = FY_6(Vy_angle(i),Cd_6(2,1),j);
end

%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');


%%
HYDRO_P_EXP_ang = cell(2,6);
HYDRO_P_EXP_ang{1,1} = Cf_1;
HYDRO_P_EXP_ang{2,1} = Cd_1;
HYDRO_P_EXP_ang{1,2} = Cf_2;
HYDRO_P_EXP_ang{2,2} = Cd_2;
HYDRO_P_EXP_ang{1,3} = Cf_3;
HYDRO_P_EXP_ang{2,3} = Cd_3;
HYDRO_P_EXP_ang{1,4} = Cf_4;
HYDRO_P_EXP_ang{2,4} = Cd_4;
HYDRO_P_EXP_ang{1,5} = Cf_5;
HYDRO_P_EXP_ang{2,5} = Cd_5;
HYDRO_P_EXP_ang{1,6} = Cf_6;
HYDRO_P_EXP_ang{2,6} = Cd_6;
HYDRO_P_EXP = HYDRO_P_EXP_ang;
save('HYDRO_P_EXP_ang','HYDRO_P_EXP_ang')

%%
%% Usikkerhet
CoVarC = cell(2,6);

CoVarC{1,1}(1,:) = 100*CoVar(Fx,X_1,Cf_1(1,:)')./Cf_1(1,:);
CoVarC{1,2}(1,:) = 100*CoVar(Fx,X_2,Cf_2(1,:)')./Cf_2(1,:);
CoVarC{1,3}(1,:) = 100*CoVar(Fx,X_3,Cf_3(1,:)')./Cf_3(1,:);
CoVarC{1,4}(1,:) = 100*CoVar(Fx,X_4,Cf_4(1,:)')./Cf_4(1,:);
CoVarC{1,5}(1,:) = 100*CoVar(Fx,X_5,Cf_5(1,:)')./Cf_5(1,:);
CoVarC{1,6}(1,:) = 100*CoVar(Fx,X_6,Cf_6(1,:)')./Cf_6(1,:);

CoVarC{2,1}(1,:) = 100*CoVar(Fy_angle,Y_1,Cd_1(1,:)')./Cd_1(1,:);
CoVarC{2,2}(1,:) = 100*CoVar(Fy_angle,Y_2,Cd_2(1,:)')./Cd_2(1,:);
CoVarC{2,3}(1,:) = 100*CoVar(Fy_angle,Y_3,Cd_3(1,:)')./Cd_3(1,:);
CoVarC{2,4}(1,:) = 100*CoVar(Fy_angle,Y_4,Cd_4(1,:)')./Cd_4(1,:);
CoVarC{2,5}(1,:) = 100*CoVar(Fy_angle,Y_5,Cd_5(1,:)')./Cd_5(1,:);
CoVarC{2,6}(1,:) = 100*CoVar(Fy_angle,Y_6,Cd_6(1,:)')./Cd_6(1,:);

CoVar_exp_ang = CoVarC;
save('CoVar_exp_ang.mat','CoVar_exp_ang')
%%
%%
TYPE = 'Pearson';
C_P = [ corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_angle,Teoy_1(:,1),'type',TYPE) corr(Fy_angle,Teoy_2(:,1),'type',TYPE) corr(Fy_angle,Teoy_3(:,1),'type',TYPE) corr(Fy_angle,Teoy_4(:,1),'type',TYPE) corr(Fy_angle,Teoy_5(:,1),'type',TYPE) corr(Fy_angle,Teoy_6(:,1),'type',TYPE)];
    
    TYPE = 'Spearman';
C_S = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_angle,Teoy_1(:,1),'type',TYPE) corr(Fy_angle,Teoy_2(:,1),'type',TYPE) corr(Fy_angle,Teoy_3(:,1),'type',TYPE) corr(Fy_angle,Teoy_4(:,1),'type',TYPE) corr(Fy_angle,Teoy_5(:,1),'type',TYPE) corr(Fy_angle,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Kendall';
C_K = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy_angle,Teoy_1(:,1),'type',TYPE) corr(Fy_angle,Teoy_2(:,1),'type',TYPE) corr(Fy_angle,Teoy_3(:,1),'type',TYPE) corr(Fy_angle,Teoy_4(:,1),'type',TYPE) corr(Fy_angle,Teoy_5(:,1),'type',TYPE) corr(Fy_angle,Teoy_6(:,1),'type',TYPE)];
    
%%
f = f+1;
figure(f)
hold on
grid on
plot(1,C_P(1,1),'rx','linewidth',1.5)
plot(1,C_P(2,1),'ro','linewidth',1.5)
plot(1,C_S(1,1),'gx','linewidth',1.5)
plot(1,C_S(2,1),'go','linewidth',1.5)
plot(1,C_K(1,1),'bx','linewidth',1.5)
plot(1,C_K(2,1),'bo','linewidth',1.5)
legend off
plot(1:6,C_P(1,:),'rx','linewidth',1.5)
plot(1:6,C_P(2,:),'ro','linewidth',1.5)
plot(1:6,C_S(1,:),'gx','linewidth',1.5)
plot(1:6,C_S(2,:),'go','linewidth',1.5)
plot(1:6,C_K(1,:),'bx','linewidth',1.5)
plot(1:6,C_K(2,:),'bo','linewidth',1.5)

legend('Pearson X','Pearson Y','Spearman X','Spearman Y','Kendall X','Kendall Y','location','best')

set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{f}_1$';'$\hat{f}_2$';'$\hat{f}_3$';'$\hat{f}_4$';'$\hat{f}_5$';'$\hat{f}_6$'})
axis([-inf inf 0.4 1])
print(figure(f),'-depsc2',['..\..\..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\exp2\drag\sysid\Statistics_39.eps']);