 %%
clear all
close all
%%
rho = 1025;
a = 0.05;
b = 0.045;
l = 0.09;

HODEA = 0.005919;
HALEA = 0.004757;

Vx = 0.427;
Vy = 0.0;


Ct = 0.5*rho*pi*((a+b)/2)*2*l;
Cn = 0.5*rho*2*a*2*l;

%% previous estimation of  coefficients
load('..\..\Sysid_Cf.mat')
%%
Cfhh1 = Cf(1);
Cfhh2 = Cf(2);
Cfl1 = Cf(3);
Cfl2 = Cf(4);
Cfxy1 = Cf(5);
Cfxy2 = Cf(6);

%% Force Functions for x
Fxhh1 = @(Vx,Cfhh1) -0.5*pi*rho*a*b*Vx*Cfhh1;
Fxhh2 = @(Vx,Cfhh2) -0.5*sign(Vx)*pi*rho*a*b*Vx^2*Cfhh2;
Fxl1 = @(Vx,Cfl1,N) -Ct*Vx*Cfl1*N;
Fxl2 = @(Vx,Cfl2,N) -sign(Vx)*Ct*Vx^2*Cfl2*N;
Fxy1 = @(Vy,Cfxy1) -sign(Vy)*0.5*Cn*Vy*Cfxy1;
Fxy2 = @(Vy,Cfxy2) 0.5*Cn*Vy^2*Cfxy2;
%%
FX = @(Vx,Vy,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,N) Fxhh1(Vx,Cfhh1)+Fxhh2(Vx,Cfhh2)+Fxl1(Vx,Cfl1,N)+Fxl2(Vx,Cfl2,N)+Fxy1(Vy,Cfxy1)+Fxy2(Vy,Cfxy1);

for i = 1:100
Teo_x(1,i) = FX(i/100,0,Cfhh1,Cfhh2,Cfl1,Cfl2,Cfxy1,Cfxy2,2);
Teo_x(2,i) = FX(i/100,0,Cfhh1,Cfhh2,Cfl1,0.05,Cfxy1,Cfxy2,2);
end

%%
load('H1LT_0deg_master.mat')
load('H1LT_SIM_v3_0deg.mat')
%% Plot config
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');
%%
plot(0.01:0.01:1,Teo_x(1,:))
title('Comparison of H1LT - $\theta$ = 0')
hold on
plot(0.01:0.01:1,Teo_x(2,:))
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
plot(H1LT_0deg_master(3,:),H1LT_0deg_master(1,:),'x')
plot(H1LT_SIM_v3_0deg(:,1),H1LT_SIM_v3_0deg(:,2))
legend('Calculated','Calculated - increased Cdl2','Experiment','Simulated')
grid on