%input [Angle V_body_x V_body_y F_body_x F_body_y T_body_z];
% Sysid for sim
%%
close all;
clear all;

%% Parameters
no_sim = 9; %Number of simulation finished
array_size = 174;
f = 0;
addpath('..\..\HydroForceFunc');
load('PARAM')
N_X_1 = 1;
N_X_2 = 2;
N_X_3 = 4;
N_X_4 = 6;
N_X_5 = 4;
N_X_6 = 1;
N_Y_1 = 1;
N_Y_2 = 2;
N_Y_3 = 4;
N_Y_4 = 4;
N_Y_5 = 3;
N_Y_6 = 1;
pr_sysidcomp = 1; %for printing sysid
%% Load dat
DATA = cell(no_sim,1);
for i = 1:no_sim
    DATAtemp = load(['H' num2str(i) 'LT_sim_v3.mat']);
    DATA(i) = struct2cell(DATAtemp);
end

%% Create data sets
Vx = zeros(array_size*no_sim,1);
Vy = zeros(array_size*no_sim,1);
Fx = zeros(array_size*no_sim,1);
Fy = zeros(array_size*no_sim,1);
for i = 1:no_sim
    Vx(1+(174*(i-1)):174+(174*(i-1)),1) = DATA{i,1}(:,2);
    Vy(1+(174*(i-1)):174+(174*(i-1)),1) = DATA{i,1}(:,3);
    Fx(1+(174*(i-1)):174+(174*(i-1)),1) = DATA{i,1}(:,4);
    Fy(1+(174*(i-1)):174+(174*(i-1)),1) = DATA{i,1}(:,5);
end


%%
FX_1 = @(Vx,Cf,N) Fx_l1(Vx,Cf,N)+Fx_l2(Vx,Cf,N);
FX_2 = @(Vx,Cf_l1,Cf_l2,N) Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_3 = @(Vx,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N);
FX_4 = @(Vx,Vy,Cf_ht1,Cf_ht2,Cf_l1,Cf_l2,Cf_y1,Cf_y2,N) Fx_ht1(Vx,Cf_ht1)+Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y1(Vy,Cf_y1)+Fx_y2(Vy,Cf_y2);
FX_5 = @(Vx,Vy,Cf_ht2,Cf_l1,Cf_l2,Cf_y2,N) Fx_ht2(Vx,Cf_ht2)+Fx_l1(Vx,Cf_l1,N)+Fx_l2(Vx,Cf_l2,N)+Fx_y2(Vy,Cf_l2);
FX_6 = @(Vx,Cd_x) Fx_cyl(Vx,Cd_x);
%%
X_1 = zeros(no_sim*array_size,N_X_1);
X_2 = zeros(no_sim*array_size,N_X_2);
X_3 = zeros(no_sim*array_size,N_X_3);
X_4 = zeros(no_sim*array_size,N_X_4);
X_5 = zeros(no_sim*array_size,N_X_5);
X_6 = zeros(no_sim*array_size,N_X_6);

%%

for i = 1:no_sim*array_size
    j =1 + floor(i/(array_size+1)); %j = number of middle links
    %F1
    X_1(i,1) = FX_1(Vx(i),1,j);
    %F2
    X_2(i,1) = Fx_l1(Vx(i),1,j);
    X_2(i,2) = Fx_l2(Vx(i),1,j);
    %F3
    X_3(i,1) = Fx_ht1(Vx(i),1);
    X_3(i,2) = Fx_ht2(Vx(i),1);
    X_3(i,3) = X_2(i,1);
    X_3(i,4) = X_2(i,2);
    %F4
    X_4(i,1) = X_3(i,1);
    X_4(i,2) = X_3(i,2);
    X_4(i,3) = X_2(i,1);
    X_4(i,4) = X_2(i,2);
    X_4(i,5) = Fx_y1(Vy(i),1);
    X_4(i,6) = Fx_y2(Vy(i),1);
    %F5
    X_5(i,1) = X_3(i,2);
    X_5(i,2) = X_2(i,1);
    X_5(i,3) = X_2(i,2);
    X_5(i,4) = X_4(i,6);
    %F6
    X_6(i,1) = Fx_cyl(Vx(i),1);
end

%%
%Cf = inv(X_same'*X_same)*X_same'*Fx;
Cf_1(1,:) = lsqnonneg(X_1,Fx)';
Cf_1(2,:) = lsqlin(X_1,Fx,[],[])';
Cf_2(1,:) = lsqnonneg(X_2,Fx)';
Cf_2(2,:) = lsqlin(X_2,Fx,[],[])';
Cf_3(1,:) = lsqnonneg(X_3,Fx)';
Cf_3(2,:) = lsqlin(X_3,Fx,[],[])';
Cf_4(1,:) = lsqnonneg(X_4,Fx)';
Cf_4(2,:) = lsqlin(X_4,Fx,[],[])';
Cf_5(1,:) = lsqnonneg(X_5,Fx)';
Cf_5(2,:) = lsqlin(X_5,Fx,[],[])';
Cf_6(1,:) = lsqnonneg(X_6,Fx)';
Cf_6(2,:) = lsqlin(X_6,Fx,[],[])';
%%
FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);
%%
Y_1 = zeros(no_sim*array_size,N_Y_1);
Y_2 = zeros(no_sim*array_size,N_Y_2);
Y_3 = zeros(no_sim*array_size,N_Y_3);
Y_4 = zeros(no_sim*array_size,N_Y_4);
Y_5 = zeros(no_sim*array_size,N_Y_5);
Y_6 = zeros(no_sim*array_size,N_Y_6);
%%

for i = 1:no_sim*array_size
    j =1 + floor(i/(array_size+1)); %j = number of middle links
    %F1
    Y_1(i,1) = FY_1(Vy(i),1,j);
    %F2
    Y_2(i,1) = Fy_l1(Vy(i),1,j);
    Y_2(i,2) = Fy_l2(Vy(i),1,j);
    %F3
    Y_3(i,1) = Fy_ht1(Vy(i),1);
    Y_3(i,2) = Fy_ht2(Vy(i),1);
    Y_3(i,3) = Y_2(i,1);
    Y_3(i,4) = Y_2(i,2);
    %F4
    Y_4(i,1) = Y_3(i,1);
    Y_4(i,2) = Y_3(i,2);
    Y_4(i,3) = Y_3(i,3);
    Y_4(i,4) = Y_3(i,4);
    %F5
    Y_5(i,1) = Y_3(i,2);
    Y_5(i,2) = Y_2(i,1);
    Y_5(i,3) = Y_2(i,2);
    %F6
    Y_6(i,1) = Fy_cyl(Vy(i),1,j);
end

%%
%Cd = inv(Y_same'*Y_same)*Y_same'*Fy;
Cd_1(1,:) = lsqnonneg(Y_1,Fy)';
Cd_1(2,:) = lsqlin(Y_1,Fy,[],[])';
Cd_2(1,:) = lsqnonneg(Y_2,Fy)';
Cd_2(2,:) = lsqlin(Y_2,Fy,[],[])';
Cd_3(1,:) = lsqnonneg(Y_3,Fy)';
Cd_3(2,:) = lsqlin(Y_3,Fy,[],[])';
Cd_4(1,:) = lsqnonneg(Y_4,Fy)';
Cd_4(2,:) = lsqlin(Y_4,Fy,[],[])';
Cd_5(1,:) = lsqnonneg(Y_5,Fy)';
Cd_5(2,:) = lsqlin(Y_5,Fy,[],[])';
Cd_6(1,:) = lsqnonneg(Y_6,Fy)';
Cd_6(2,:) = lsqlin(Y_6,Fy,[],[])';

% 
% %% Usikkerhet
% n = length(Vx);
% px = UnknownX_same;
% py = UnknownY_same;
% 
% % Sigma hat
% for i = 1 : no_sim*array_size
%     e_hat_x(i) = Fx(i) - X_same(i,:)*Cf_same;
%     e_hat_y(i) = Fy(i) - Y_same(i,:)*Cd_same;
% end
% 
% Sigma_x_hat = 0;
% Sigma_y_hat = 0;
% for i = 1 : no_sim*array_size
%     Sigma_x_hat = Sigma_x_hat + e_hat_x(i)^2;
%     Sigma_y_hat = Sigma_y_hat + e_hat_y(i)^2;
% end
% 
% Sigma_x_hat = Sigma_x_hat/(n-px);
% Sigma_y_hat = Sigma_y_hat/(n-py);
% 
% XX = inv(X_same'*X_same);
% YY = inv(Y_same'*Y_same);
% for i = 1 : px
%     varx(i) = XX(i,i)*Sigma_x_hat;
% end
% 
% for i = 1 : py
%     vary(i) = YY(i,i)*Sigma_y_hat;
% end
% c = tinv(0.95,no_sim*array_size);
% 
% Conf_95_x = c*sqrt(varx);
% Conf_95_y = c*sqrt(vary);
% 
% for i = 1 : px
%     Cf_max(i) = Cf_same(i) + c*sqrt(varx(i));
%     Cf_min(i) = Cf_same(i) - c*sqrt(varx(i));
% end
% 
% for i = 1 : py
%     Cd_max(i) = Cd(i) + c*sqrt(vary(i));
%     Cd_min(i) = Cd(i) - c*sqrt(vary(i));
% end
% 
% Cov_x = XX*Sigma_x_hat;
% Cov_y = YY*Sigma_y_hat;
%%
Teox_1 = zeros(no_sim*array_size,1);
Teox_2 = zeros(no_sim*array_size,2);
Teox_3 = zeros(no_sim*array_size,2);
Teox_4 = zeros(no_sim*array_size,2);
Teox_5 = zeros(no_sim*array_size,2);
Teox_6 = zeros(no_sim*array_size,1);
%% X teo force
for i = 1:no_sim*array_size
    j =1 + floor(i/(array_size+1)); %j = number of middle links
	Teox_1(i) = FX_1(Vx(i),Cf_1(1),j);
    Teox_2(i,1) = FX_2(Vx(i),Cf_2(1,1),Cf_2(1,2),j);
    Teox_2(i,2) = FX_2(Vx(i),Cf_2(2,1),Cf_2(2,2),j);
    Teox_3(i,1) = FX_3(Vx(i),Cf_3(1,1),Cf_3(1,2),Cf_3(1,3),Cf_3(1,4),j);
    Teox_3(i,2) = FX_3(Vx(i),Cf_3(2,1),Cf_3(2,2),Cf_3(2,3),Cf_3(2,4),j);
    Teox_4(i,1) = FX_4(Vx(i),Vy(i),Cf_4(1,1),Cf_4(1,2),Cf_4(1,3),Cf_4(1,4),Cf_4(1,5),Cf_4(1,6),j);
    Teox_4(i,2) = FX_4(Vx(i),Vy(i),Cf_4(2,1),Cf_4(2,2),Cf_4(2,3),Cf_4(2,4),Cf_4(2,5),Cf_4(2,6),j);
    Teox_5(i,1) = FX_5(Vx(i),Vy(i),Cf_5(1,1),Cf_5(1,2),Cf_5(1,3),Cf_5(1,4),j);
    Teox_5(i,2) = FX_5(Vx(i),Vy(i),Cf_5(2,1),Cf_5(2,2),Cf_5(2,3),Cf_5(2,4),j);
    Teox_6(i,1) = FX_6(Vx(i),Cf_6(1,1));
end
%%
Teoy_1 = zeros(no_sim*array_size,1);
Teoy_2 = zeros(no_sim*array_size,2);
Teoy_3 = zeros(no_sim*array_size,2);
Teoy_4 = zeros(no_sim*array_size,2);
Teoy_5 = zeros(no_sim*array_size,2);
Teoy_6 = zeros(no_sim*array_size,1);
%%
for i = 1:no_sim*array_size
    j =1 + floor(i/(array_size+1)); %j = number of middle links
	Teoy_1(i) = FY_1(Vy(i),Cd_1(1),j);
    Teoy_2(i,1) = FY_2(Vy(i),Cd_2(1,1),Cd_2(1,2),j);
    Teoy_2(i,2) = FY_2(Vy(i),Cd_2(2,1),Cd_2(2,2),j);
    Teoy_3(i,1) = FY_3(Vy(i),Cd_3(1,1),Cd_3(1,2),Cd_3(1,3),Cd_3(1,4),j);
    Teoy_3(i,2) = FY_3(Vy(i),Cd_3(2,1),Cd_3(2,2),Cd_3(2,3),Cd_3(2,4),j);
    Teoy_4(i,1) = FY_4(Vy(i),Cd_4(1,1),Cd_4(1,2),Cd_4(1,3),Cd_4(1,4),j);
    Teoy_4(i,2) = FY_4(Vy(i),Cd_4(2,1),Cd_4(2,2),Cd_4(2,3),Cd_4(2,4),j);
    Teoy_5(i,1) = FY_5(Vy(i),Cd_5(1,1),Cd_5(1,2),Cd_5(1,3),j);
    Teoy_5(i,2) = FY_5(Vy(i),Cd_5(2,1),Cd_5(2,2),Cd_5(2,3),j);
    Teoy_6(i,1) = FY_6(Vy(i),Cd_6(1,1),j);
    Teoy_6(i,2) = FY_6(Vy(i),Cd_6(2,1),j);
end
%%
set(groot,'defaulttextInterpreter','latex');
set(groot, 'defaultAxesTickLabelInterpreter','latex');
set(groot,'defaultLegendInterpreter','latex');

%% F1x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_1)
title('X - $\hat{\mathbf{f}}_1$')
grid on
ylabel('Data point')
legend('Simulation','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F2x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_2)
title('X - $\hat{\mathbf{f}}_2$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F3x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_3)
title('X - $\hat{\mathbf{f}}_3$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F4x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_4)
title('X - $\hat{\mathbf{f}}_4$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F5x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_5)
title('X - $\hat{\mathbf{f}}_5$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F6x
f = f+1;
figure(f);
hold on
plot(Fx)
plot(Teox_6)
title('X - $\hat{\mathbf{f}}_6$')
grid on
ylabel('Data point')
legend('Simulation','$Estimate_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F1y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_1)
title('Y - $\hat{\mathbf{f}}_1$')
grid on
ylabel('Data point')
legend('Simulation','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');
%% F2y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_2)
title('Y - $\hat{\mathbf{f}}_2$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F3y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_3)
title('Y - $\hat{\mathbf{f}}_3$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F4y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_4)
title('Y - $\hat{\mathbf{f}}_4$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F5y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_5)
title('Y - $\hat{\mathbf{f}}_5$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% F6y
f = f+1;
figure(f);
hold on
plot(Fy)
plot(Teoy_6)
title('Y - $\hat{\mathbf{f}}_6$')
grid on
ylabel('Data point')
legend('Simulation','Estimate$_nn$','Estimate','location','best')
%print(figure(fig),'-depsc2','..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sysid\HLT_Xforce_comp.eps');

%% Pplot_test x
f = f+1;
figure(f)
hold on
grid on
plot(Fx,'linewidth',2)


plot(Teox_1)
plot(Teox_2)
plot(Teox_3)
plot(Teox_4)
plot(Teox_5)
plot(Teox_6)
legend('sim','1','2','2','3','3','4','4','5','5','6','6')

%% Pplot_test y
f = f+1;
figure(f)
hold on
grid on
plot(Fy,'linewidth',2)


plot(Teoy_1)
plot(Teoy_2)
plot(Teoy_3)
plot(Teoy_4)
plot(Teoy_5)
plot(Teoy_6)
legend('sim','1','2','2','3','3','4','4','5','5','6','6')
%%
HYDRO_P_SIM = cell(2,6);
HYDRO_P_SIM{1,1} = Cf_1;
HYDRO_P_SIM{2,1} = Cd_1;
HYDRO_P_SIM{1,2} = Cf_2;
HYDRO_P_SIM{2,2} = Cd_2;
HYDRO_P_SIM{1,3} = Cf_3;
HYDRO_P_SIM{2,3} = Cd_3;
HYDRO_P_SIM{1,4} = Cf_4;
HYDRO_P_SIM{2,4} = Cd_4;
HYDRO_P_SIM{1,5} = Cf_5;
HYDRO_P_SIM{2,5} = Cd_5;
HYDRO_P_SIM{1,6} = Cf_6;
HYDRO_P_SIM{2,6} = Cd_6;
save('HYDRO_P_SIM','HYDRO_P_SIM')

%%
TYPE = 'Pearson';
C_P = [ corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Spearman';
C_S = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
    TYPE = 'Kendall';
C_K = [corr(Fx,Teox_1(:,1),'type',TYPE) corr(Fx,Teox_2(:,1),'type',TYPE) corr(Fx,Teox_3(:,1),'type',TYPE) corr(Fx,Teox_4(:,1),'type',TYPE) corr(Fx,Teox_5(:,1),'type',TYPE) corr(Fx,Teox_6(:,1),'type',TYPE);
        corr(Fy,Teoy_1(:,1),'type',TYPE) corr(Fy,Teoy_2(:,1),'type',TYPE) corr(Fy,Teoy_3(:,1),'type',TYPE) corr(Fy,Teoy_4(:,1),'type',TYPE) corr(Fy,Teoy_5(:,1),'type',TYPE) corr(Fy,Teoy_6(:,1),'type',TYPE)];
    
%%
f = f+1;
figure(f)
hold on
grid on
plot(1,C_P(1,1),'rx','linewidth',1.5)
plot(1,C_P(2,1),'ro','linewidth',1.5)
plot(1,C_S(1,1),'gx','linewidth',1.5)
plot(1,C_S(2,1),'go','linewidth',1.5)
plot(1,C_K(1,1),'bx','linewidth',1.5)
plot(1,C_K(2,1),'bo','linewidth',1.5)
legend off
plot(1:6,C_P(1,:),'rx','linewidth',1.5)
plot(1:6,C_P(2,:),'ro','linewidth',1.5)
plot(1:6,C_S(1,:),'gx','linewidth',1.5)
plot(1:6,C_S(2,:),'go','linewidth',1.5)
plot(1:6,C_K(1,:),'bx','linewidth',1.5)
plot(1:6,C_K(2,:),'bo','linewidth',1.5)

legend('Pearson X','Pearson Y','Spearman X','Spearman Y','Kendall X','Kendall Y','location','best')

set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{f}_1$';'$\hat{f}_2$';'$\hat{f}_3$';'$\hat{f}_4$';'$\hat{f}_5$';'$\hat{f}_6$'})
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_stat_1.eps')

%%
TEO_F = cell(6,2)
TEO_F{1,1} = Teox_1;
TEO_F{2,1} = Teox_2;
TEO_F{3,1} = Teox_3;
TEO_F{4,1} = Teox_4;
TEO_F{5,1} = Teox_5;
TEO_F{6,1} = Teox_6;
TEO_F{1,2} = Teoy_1;
TEO_F{2,2} = Teoy_2;
TEO_F{3,2} = Teoy_3;
TEO_F{4,2} = Teoy_4;
TEO_F{5,2} = Teoy_5;
TEO_F{6,2} = Teoy_6;
ERROR_S =[0 0 0 0 0 0; 0 0 0 0 0 0];
%%
for j = 1:6
    for i = 1:array_size*no_sim
        ERROR_S(1,j) = ERROR_S(1,j)+abs(((TEO_F{j,1}(i,1)-Fx(i,1))/Fx(i,1)));
        ERROR_S(2,j) = ERROR_S(2,j)+abs((TEO_F{j,2}(i,1)-Fy(i,1))/Fy(i,1));
    end
end

ERROR_S = ERROR_S./(array_size*no_sim);
%plot(1:6,ERROR_S)

%%
f = f+1;
figure(f)
hold on
grid on
plot(1,ERROR_S(1,1),'rx')
plot(1,ERROR_S(2,1),'ro')
legend off
legend('Fx','Fy')
plot(1:6,ERROR_S(1,:),'rx')
plot(1:6,ERROR_S(2,:),'ro')
ylabel('$\frac{1}{N} \sum ( |\frac{\hat{\mathbf{f}}-F}{F}|)$')
%title('$\frac{1}{N} \sum (\fraq{\hat{\mathbf{f}}-F}{F})^2$')
set(gca,'XTick',[1 2 3 4 5 6],'XTickLabel',{'$\hat{\mathbf{f}}_1$';'$\hat{\mathbf{f}}_2$';'$\hat{\mathbf{f}}_3$';'$\hat{\mathbf{f}}_4$';'$\hat{\mathbf{f}}_5$';'$\hat{\mathbf{f}}_6$'})
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_stat_2.eps')

%% Plot h1lt 0deg
if pr_sysidcomp == 1
f = f+1;
figure(f)
hold on
n = 0;
p_start = 174*n+1;
p_stop= p_start+49;
grid on
plot(Vx(p_start:p_stop),Fx(p_start:p_stop),'linewidth',2)
plot(Vx(p_start:p_stop),Teox_1(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_2(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_3(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_4(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_5(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h1lt_0deg.eps')

%% Plot h2lt 0deg
f = f+1;
figure(f)
hold on
n = 1;
p_start = 174*n+1;
p_stop= p_start+49;
grid on
plot(Vx(p_start:p_stop),Fx(p_start:p_stop),'linewidth',2)
plot(Vx(p_start:p_stop),Teox_1(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_2(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_3(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_4(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_5(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
%title(['H' num2str(n+1) 'LT'])
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h2lt_0deg.eps')
%% Plot h5lt 0deg
f = f+1;
figure(f)
hold on
n = 4;
p_start = 174*n+1;
p_stop= p_start+49;
grid on
plot(Vx(p_start:p_stop),Fx(p_start:p_stop),'linewidth',2)
plot(Vx(p_start:p_stop),Teox_1(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_2(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_3(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_4(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_5(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
%title(['H' num2str(n+1) 'LT'])
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h5lt_0deg.eps')

%% Plot h8lt 0deg
f = f+1;
figure(f)
hold on
n = 7;
p_start = 174*n+1;
p_stop= p_start+49;
grid on
plot(Vx(p_start:p_stop),Fx(p_start:p_stop),'linewidth',2)
plot(Vx(p_start:p_stop),Teox_1(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_2(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_3(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_4(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_5(p_start:p_stop,1))
plot(Vx(p_start:p_stop),Teox_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
%title(['H' num2str(n+1) 'LT'])
xlabel('Velocity X [m/s]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2','..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h8lt_0deg.eps')

%% Plot angled x
NLINK = [0 1 4 7];
for i = 1:3;
f = f+1;
figure(f)
hold on
n = 0;
p_start = 174*NLINK(i)+113;
p_stop= p_start+30;
grid on
plot(0:3:90,Fx(p_start:p_stop),'linewidth',2)
plot(0:3:90,Teox_1(p_start:p_stop,1))
plot(0:3:90,Teox_2(p_start:p_stop,1))
plot(0:3:90,Teox_3(p_start:p_stop,1))
plot(0:3:90,Teox_4(p_start:p_stop,1))
plot(0:3:90,Teox_5(p_start:p_stop,1))
plot(0:3:90,Teox_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
%title(['H' num2str(NLINK(i)+1) 'LT'])
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force X [N]')
tightfig(f);
print(figure(f),'-depsc2',['..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h' num2str(NLINK(i)+1) 'lt_angle_x.eps'])
end

%% Plot angled y
NLINK = [0 1 4 7];
for i = 1:3;
f = f+1;
figure(f)
hold on
n = 0;
p_start = 174*NLINK(i)+113;
p_stop= p_start+30;
grid on
plot(0:3:90,Fy(p_start:p_stop),'linewidth',2)
plot(0:3:90,Teoy_1(p_start:p_stop,1))
plot(0:3:90,Teoy_2(p_start:p_stop,1))
plot(0:3:90,Teoy_3(p_start:p_stop,1))
plot(0:3:90,Teoy_4(p_start:p_stop,1))
plot(0:3:90,Teoy_5(p_start:p_stop,1))
plot(0:3:90,Teoy_6(p_start:p_stop,1))
legend('sim','$\hat{f}_1$','$\hat{f}_2$','$\hat{f}_3$','$\hat{f}_4$','$\hat{f}_5$','$\hat{f}_6$','location','best')
%title(['H' num2str(NLINK(i)+1) 'LT'])
xlabel('Angle $\theta$ [$^\circ$]')
ylabel('Force Y [N]')
tightfig(f);
print(figure(f),'-depsc2',['..\..\..\..\Apps\ShareLaTeX\SNEK_MASTER2017\figures\sim\solidworks\sim_comp_sysid_h' num2str(NLINK(i)+1) 'lt_angle_y.eps'])
end
end

% %% Selection Id
% 
% stop_deg = 30;
% %X_deg = zeros(((stop_deg/3)+1)*no_sim*4,1)
% 
% %%
% for i = 1:no_sim
%     Xdeg(1+((stop_deg/3)*(i-1)):(stop_deg/3)+((stop_deg/3)*(i-1)),i) = TEO_F{i,1}(51+((stop_deg/3)*(i-1)):50+(stop_deg/3)+((stop_deg/3)*(i-1)),)
% end
% %%
% GAMEBOY = 0;
% X_deg = 0;
% Fx_deg = 0;
% for k = 1:6
% for i = 1:no_sim
%     for j = 1:4
%     X_deg(1+11*(j-1)+((stop_deg/3)+1)*4*(i-1):1+11*(j-1)+((stop_deg/3)+1)*4*(i-1)+(stop_deg/3),k) = TEO_F{k,1}((51+array_size*(i-1)+31*(j-1):51+array_size*(i-1)+10+31*(j-1)),1);
%     Y_deg(1+11*(j-1)+((stop_deg/3)+1)*4*(i-1):1+11*(j-1)+((stop_deg/3)+1)*4*(i-1)+(stop_deg/3),k) = TEO_F{k,2}((51+array_size*(i-1)+31*(j-1):51+array_size*(i-1)+10+31*(j-1)),1);
%     Fx_deg(1+11*(j-1)+((stop_deg/3)+1)*4*(i-1):1+11*(j-1)+((stop_deg/3)+1)*4*(i-1)+(stop_deg/3)) = Fx((51+array_size*(i-1)+31*(j-1):51+array_size*(i-1)+10+31*(j-1)));
%     Fy_deg(1+11*(j-1)+((stop_deg/3)+1)*4*(i-1):1+11*(j-1)+((stop_deg/3)+1)*4*(i-1)+(stop_deg/3)) = Fy((51+array_size*(i-1)+31*(j-1):51+array_size*(i-1)+10+31*(j-1)));
%     GAMEBOY(1+11*(j-1)+((stop_deg/3)+1)*4*(i-1):1+11*(j-1)+((stop_deg/3)+1)*4*(i-1)+(stop_deg/3)) = DATA{i,1}((51+31*(j-1):51+10+31*(j-1)),1);
%     end
% end
% end
% %%
%             
% %           399:
% Cf_1_deg = lsqnonneg(X_deg(:,1),Fx_deg(1,:)');
% Cf_2_deg = lsqnonneg(X_deg(:,2),Fx_deg(1,:)');
% Cf_3_deg = lsqnonneg(X_deg(:,3),Fx_deg(1,:)')
% %%
% 
% 
% Cf_4_deg = lsqnonneg(X_deg(:,4),Fx_deg(:,1))';
% Cf_5_deg = lsqnonneg(X_deg(:,5),Fx_deg(:,1))';
% Cf_6_deg = lsqnonneg(X_deg(:,6),Fx_deg(:,1))';
% Cd_1_deg = lsqnonneg(Y_deg(:,1),Fy_deg(:,1))';
% Cd_2_deg = lsqnonneg(Y_deg(:,2),Fy_deg(:,1))';
% Cd_3_deg = lsqnonneg(Y_deg(:,3),Fy_deg(:,1))';
% Cd_4_deg = lsqnonneg(Y_deg(:,4),Fy_deg(:,1))';
% Cd_5_deg = lsqnonneg(Y_deg(:,5),Fy_deg(:,1))';
% Cd_6_deg = lsqnonneg(Y_deg(:,6),Fy_deg(:,1))';
% 
% %%
% FY_1 = @(Vy,Cd,N) Fy_l1(Vy,Cd,N)+Fy_l2(Vy,Cd,N);
% FY_2 = @(Vy,Cd_l1,Cd_l2,N) Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
% FY_3 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
% FY_4 = @(Vy,Cd_ht1,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht1(Vy,Cd_ht1)+Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
% FY_5 = @(Vy,Cd_ht2,Cd_l1,Cd_l2,N) Fy_ht2(Vy,Cd_ht2)+Fy_l1(Vy,Cd_l1,N)+Fy_l2(Vy,Cd_l2,N);
% FY_6 = @(Vy,Cd_y,N) Fy_cyl(Vy,Cd_y,N);
% %%
% Y_1 = zeros(no_sim*array_size,N_Y_1);
% Y_2 = zeros(no_sim*array_size,N_Y_2);
% Y_3 = zeros(no_sim*array_size,N_Y_3);
% Y_4 = zeros(no_sim*array_size,N_Y_4);
% Y_5 = zeros(no_sim*array_size,N_Y_5);
% Y_6 = zeros(no_sim*array_size,N_Y_6);
% %%
% 
% for i = 1:no_sim*array_size
%     j =1 + floor(i/(array_size+1)); %j = number of middle links
%     %F1
%     Y_1(i,1) = FY_1(Vy(i),1,j);
%     %F2
%     Y_2(i,1) = Fy_l1(Vy(i),1,j);
%     Y_2(i,2) = Fy_l2(Vy(i),1,j);
%     %F3
%     Y_3(i,1) = Fy_ht1(Vy(i),1);
%     Y_3(i,2) = Fy_ht2(Vy(i),1);
%     Y_3(i,3) = Y_2(i,1);
%     Y_3(i,4) = Y_2(i,2);
%     %F4
%     Y_4(i,1) = Y_3(i,1);
%     Y_4(i,2) = Y_3(i,2);
%     Y_4(i,3) = Y_3(i,3);
%     Y_4(i,4) = Y_3(i,4);
%     %F5
%     Y_5(i,1) = Y_3(i,2);
%     Y_5(i,2) = Y_2(i,1);
%     Y_5(i,3) = Y_2(i,2);
%     %F6
%     Y_6(i,1) = Fy_cyl(Vy(i),1,j);
% end
% 
% %%
% %Cd = inv(Y_same'*Y_same)*Y_same'*Fy;
% Cd_1(1,:) = lsqnonneg(Y_1,Fy)';
% Cd_1(2,:) = lsqlin(Y_1,Fy,[],[])';
% Cd_2(1,:) = lsqnonneg(Y_2,Fy)';
% Cd_2(2,:) = lsqlin(Y_2,Fy,[],[])';
% Cd_3(1,:) = lsqnonneg(Y_3,Fy)';
% Cd_3(2,:) = lsqlin(Y_3,Fy,[],[])';
% Cd_4(1,:) = lsqnonneg(Y_4,Fy)';
% Cd_4(2,:) = lsqlin(Y_4,Fy,[],[])';
% Cd_5(1,:) = lsqnonneg(Y_5,Fy)';
% Cd_5(2,:) = lsqlin(Y_5,Fy,[],[])';
% Cd_6(1,:) = lsqnonneg(Y_6,Fy)';
% Cd_6(2,:) = lsqlin(Y_6,Fy,[],[])';
% 
% %%
% Teox_1 = zeros(no_sim*array_size,1);
% Teox_2 = zeros(no_sim*array_size,2);
% Teox_3 = zeros(no_sim*array_size,2);
% Teox_4 = zeros(no_sim*array_size,2);
% Teox_5 = zeros(no_sim*array_size,2);
% Teox_6 = zeros(no_sim*array_size,1);
% %% X teo force
% for i = 1:no_sim*array_size
%     j =1 + floor(i/(array_size+1)); %j = number of middle links
% 	Teox_1(i) = FX_1(Vx(i),Cf_1(1),j);
%     Teox_2(i,1) = FX_2(Vx(i),Cf_2(1,1),Cf_2(1,2),j);
%     Teox_2(i,2) = FX_2(Vx(i),Cf_2(2,1),Cf_2(2,2),j);
%     Teox_3(i,1) = FX_3(Vx(i),Cf_3(1,1),Cf_3(1,2),Cf_3(1,3),Cf_3(1,4),j);
%     Teox_3(i,2) = FX_3(Vx(i),Cf_3(2,1),Cf_3(2,2),Cf_3(2,3),Cf_3(2,4),j);
%     Teox_4(i,1) = FX_4(Vx(i),Vy(i),Cf_4(1,1),Cf_4(1,2),Cf_4(1,3),Cf_4(1,4),Cf_4(1,5),Cf_4(1,6),j);
%     Teox_4(i,2) = FX_4(Vx(i),Vy(i),Cf_4(2,1),Cf_4(2,2),Cf_4(2,3),Cf_4(2,4),Cf_4(2,5),Cf_4(2,6),j);
%     Teox_5(i,1) = FX_5(Vx(i),Vy(i),Cf_5(1,1),Cf_5(1,2),Cf_5(1,3),Cf_5(1,4),j);
%     Teox_5(i,2) = FX_5(Vx(i),Vy(i),Cf_5(2,1),Cf_5(2,2),Cf_5(2,3),Cf_5(2,4),j);
%     Teox_6(i,1) = FX_6(Vx(i),Cf_6(1,1));
% end
% %%
% Teoy_1 = zeros(no_sim*array_size,1);
% Teoy_2 = zeros(no_sim*array_size,2);
% Teoy_3 = zeros(no_sim*array_size,2);
% Teoy_4 = zeros(no_sim*array_size,2);
% Teoy_5 = zeros(no_sim*array_size,2);
% Teoy_6 = zeros(no_sim*array_size,1);
% %%
% for i = 1:no_sim*array_size
%     j =1 + floor(i/(array_size+1)); %j = number of middle links
% 	Teoy_1(i) = FY_1(Vy(i),Cd_1(1),j);
%     Teoy_2(i,1) = FY_2(Vy(i),Cd_2(1,1),Cd_2(1,2),j);
%     Teoy_2(i,2) = FY_2(Vy(i),Cd_2(2,1),Cd_2(2,2),j);
%     Teoy_3(i,1) = FY_3(Vy(i),Cd_3(1,1),Cd_3(1,2),Cd_3(1,3),Cd_3(1,4),j);
%     Teoy_3(i,2) = FY_3(Vy(i),Cd_3(2,1),Cd_3(2,2),Cd_3(2,3),Cd_3(2,4),j);
%     Teoy_4(i,1) = FY_4(Vy(i),Cd_4(1,1),Cd_4(1,2),Cd_4(1,3),Cd_4(1,4),j);
%     Teoy_4(i,2) = FY_4(Vy(i),Cd_4(2,1),Cd_4(2,2),Cd_4(2,3),Cd_4(2,4),j);
%     Teoy_5(i,1) = FY_5(Vy(i),Cd_5(1,1),Cd_5(1,2),Cd_5(1,3),j);
%     Teoy_5(i,2) = FY_5(Vy(i),Cd_5(2,1),Cd_5(2,2),Cd_5(2,3),j);
%     Teoy_6(i,1) = FY_6(Vy(i),Cd_6(1,1),j);
%     Teoy_6(i,2) = FY_6(Vy(i),Cd_6(2,1),j);
% end